
//----
#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Lime

//---- input parameters 
extern int       HMA_Period=16;
extern int       HMA_Method=3;                        

extern int       MFI_Period=16;
extern int       MFI_Price=0;        
//---- buffers 
double MFI[];
double vect[];

//+------------------------------------------------------------------+ 
//| Custom indicator initialization function                         | 
//+------------------------------------------------------------------+ 
int init()
  {

   SetIndexBuffer(0, MFI);
   SetIndexStyle(0,DRAW_LINE,STYLE_SOLID,2);
   SetIndexBuffer(1, vect);
   SetIndexStyle(1,DRAW_LINE,STYLE_SOLID,2);

   return(0);
  }
//+------------------------------------------------------------------+ 
//| Custor indicator deinitialization function                       | 
//+------------------------------------------------------------------+ 
int deinit()
  { 
   return(0);
  } 

//+------------------------------------------------------------------+ 
//| Custom indicator iteration function                              | 
//+------------------------------------------------------------------+ 
int start()
  {
   int counted_bars=IndicatorCounted();
   int limit=Bars-counted_bars-1;
   
   for(int i=limit;i>=0;i--) MFI[i]=iMFI(NULL, 0, MFI_Period,i);
   

   for(i=limit;i>=0;i--) {
      vect[i]=0;
      vect[i]+=2.0*iMAOnArray(MFI, 0, HMA_Period/2, 0, HMA_Method, i);
      vect[i]-=    iMAOnArray(MFI, 0, HMA_Period  , 0, HMA_Method, i);
   }
   return(0);
  }
//+------------------------------------------------------------------+ 